#as per https://www.testcontainers.org/ci/ci.html#gitlab

# to improve performance
variables:
  DOCKER_DRIVER: overlay2

# we need DinD service
services:
  - docker:dind

test:
  image: docker:latest
  stage: test
  script:
    - >
      docker run -t --rm
      -v /var/run/docker.sock:/var/run/docker.sock
      -v "$(pwd)":"$(pwd)"
      -w "$(pwd)"
      -u 0:0
      maven:3-jdk-8
      mvn clean test